//
//	Copyright © 2005 Nemetschek North America 
//	All Rights Reserved.
//
// Created by Vladislav Stanev

#pragma once

namespace VWFC
{
	namespace VWObjects
	{
		class VWClassAttributes;
		class VWObjectAttributes;

		class VWPattern
		{
			friend class VWClassAttributes;
			friend class VWObjectAttributes;
		public:
								VWPattern(InternalIndex fillIndex);
								VWPattern(short penIndex);
			virtual				~VWPattern();

			operator InternalIndex() const;
			operator short() const;

		public:
			Boolean				IsNonePattern() const;
			void				SetNonePattern();
			Boolean				IsSolidPattern() const;
			void				SetSolidPattern();
			Boolean				IsHatchPattern() const;
			Boolean				IsDashPattern() const;
			Boolean				IsGradientPattern() const;
			Boolean				IsImagePattern() const;

		protected:
			bool				fbIsFillPattern;
			InternalIndex		fFillPatternIndex;
			short				fPenPatternIndex;
		};
	}
}